import QtQuick
import QtQuick.Controls 2.15
import QtQuick.Layouts 1.15

Item {
    width: 240
    height: 100

    ComboBox {
        id: comboBox
        anchors.centerIn: parent
        width: 250
        height: 100
        currentIndex: 1

        model: ["4", "5", "6", "7", "8", "9", "10","11","12", "Aléatoire"]
        flat: true

        // Le contenu affiché (texte sélectionné)
        contentItem: Text {
            text: comboBox.displayText
            font.pixelSize: 18
            font.bold: true
            color: "white"
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignLeft
            elide: Text.ElideRight
            anchors.verticalCenter: parent.verticalCenter
            anchors.left: parent.left
            anchors.leftMargin: 20
        }

        // Fond personnalisé
        background: Rectangle {
            radius: 10
            color: "#7a7a7a"
            border.color: "white"
            border.width: 5
        }

        // Petite flèche personnalisée
        indicator: Rectangle {
            width: 20
            height: 20
            anchors.verticalCenter: parent.verticalCenter
            anchors.right: parent.right
            anchors.rightMargin: 10
            color: "transparent"

            // Triangle (flèche vers le bas)
            Canvas {
                anchors.fill: parent
                onPaint: {
                    var ctx = getContext("2d");
                    ctx.clearRect(0, 0, width, height);
                    ctx.beginPath();
                    ctx.moveTo(4, 6);
                    ctx.lineTo(width - 4, 6);
                    ctx.lineTo(width / 2, height - 4);
                    ctx.closePath();
                    ctx.fillStyle = "white";
                    ctx.fill();
                }
            }
        }

        // Liste déroulante
        delegate: ItemDelegate {
            width: comboBox.width
            contentItem: Text {
                text: modelData
                font.pixelSize: 16
                color: "black"
            }
        }

        onCurrentIndexChanged: {
            if (currentIndex === 9){
                nb_lettres = motusGame.getRandomNum();
            }
            else{
                nb_lettres = model[currentIndex];
            }
            console.log(nb_lettres);
            if (nb_lettres == 4){
                nb_essais = 5;
            }
            else if (nb_lettres == 5 || nb_lettres == 6){
                nb_essais = 6;
            }
            else if (nb_lettres == 7 || nb_lettres == 8){
                nb_essais = 7;
            }
            else{
                nb_essais = 8;
            }
            caseRepeater.model = nb_lettres*nb_essais;
            console.log(caseRepeater.model);
            console.log(caseArray);
        }
    }
}
