# Motus

Le **Motus** est un jeu de lettres, inspiré du célèbre jeu télévisé.  
Le but est de **deviner un mot secret** en un nombre limité de tentatives, et ce dans un **temps imparti**.

---

## Fonctionnalités

### Avant de démarrer une partie

- **Choix de la langue** :  
  Des boutons permettent de choisir la langue (anglais et français) et mettent à jour l'interface dans la langue choisie.
- **Choix du nombre de lettres** :  
  Un autre bouton permet de choisir le nombre de lettres (entre 4 et 12) dont est composé le prochain mot à deviner. La difficulté à trouver le mot étant d'autant plus élevée que son nombre de lettres est grand, le nombre d'essais autorisé pour trouver le mot en dépend :
    - 4 lettres : 5 essais
    - 5-6 lettres : 6 essais
    - 7-8 lettres : 7 essais
    - 9-12 lettres : 8 essais

### Lancer la partie

- **Génération aléatoire** d’un mot respectant les critères choisis via le bouton correspondant.

### Saisie et interactions

- Pour taper un mot, il suffit d'utiliser le clavier de l'ordinateur ou de cliquer sur le clavier virtuel affiché.
- Les lettres s’affichent automatiquement sur la rangée correspondant au numéro de l’essai en cours.
- Lorsqu’un mot est validé, son appartenance au dictionnaire de la langue choisie est vérifiée :
  - S'il n'appartient pas au dictionnaire, le mot tapé est affiché en rouge, et n'est pas validé.
  - Sinon, il est validé et :
     - Une lettre est affichée en jaune si elle est présente dans le mot mais mal placée.
     - Elle est affichée en vert si elle est bien placée.
     - Le clavier virtuel est mis à jour pour sauvegarder les couleurs des lettres déjà essayées, une touche de ce clavier est :
         - **verte** si la lettre a déjà bien été placée,
         - **jaune** si la lettre est présente mais jamais correctement positionnée,
         - **sans couleur** si la lettre a été testée mais n'est pas présente dans le mot.

### Règles de la partie

- **Minuteur intégré** :  
  Le temps commence à s'écouler dès que le mot est généré, avec un minuteur de 2 minutes.
- **Victoire** si le mot est trouvé à temps.
- **Défaite** si :
  - Le joueur abandonne en cliquant sur le bouton dédié.
  - Le nombre maximal de tentatives est atteint.
  - Le temps est écoulé.  
  Dans tous les cas de défaite, le mot à trouver est révélé à la fin de la partie.

### Statistiques

Le système de statistiques du jeu permet de suivre les performances du joueur à la fois de manière globale et locale.

#### Statistiques Globales

Pour chaque section (English, French et Combined), le jeu enregistre :
- **Parties jouées**
- **Victoires**
- **Win Streak Actuel**
- **Meilleur Win Streak**

Ces informations sont mises à jour à chaque fin de partie et présentées dans un overlay accessible via l'interface.

#### Statistiques Locales

Pour chaque configuration basée sur le nombre de lettres (allant de 4 à 12), les données locales suivantes sont recueillies :
- **Temps moyen** et **Meilleur temps**
- **Histogramme des victoires**
  Cet histogramme montre le nombre de victoires obtenues pour chaque nombre d'essais.  
- **Parties jouées** et **Parties gagnées**
- **Streaks locaux** : le streak actuel et le meilleur streak
